package com.engine.kq.cmd.upgrade;

/**
 * 考勤数据升级类型枚举
 */
public enum KQUpgradeTabEnum {

  /**
   * 一般工作时间
   */
  Upgrade1("Upgrade1",16687,"一般工作时间",503292),
  /**
   * 排班设置，排班人员数据
   */
  Upgrade2("Upgrade2",503229,"排班设置，排班人员数据",503293),
  /**
   * 请假类型
   */
  Upgrade3("Upgrade3",1881,"请假类型",503294),
  /**
   * 工作日期调整
   */
  Upgrade4("Upgrade4",16750,"工作日期调整",503295),
  /**
   * 年假数据
   */
  Upgrade5("Upgrade5",503233,"年假数据",503296),
  /**
   * 带薪假数据
   */
  Upgrade6("Upgrade6",503234,"带薪假数据",503297),
  /**
   * 调休数据
   */
  Upgrade7("Upgrade7",503235,"调休数据",503298),
  /**
   * 考勤流程设置
   */
  Upgrade8("Upgrade8",82797,"考勤流程设置",503299),
  /**
   * 外部集成考勤设置
   */
  Upgrade9("Upgrade9",503265,"外部集成考勤设置",503300),
  /**
   * 历史考勤流程数据
   */
  Upgrade10("Upgrade10",503266,"历史考勤流程数据",503301),
  /**
   * 历史签到签退数据
   */
  Upgrade11("Upgrade11",503267,"历史签到签退数据",503302),
  /**
   * 考勤报表数据
   */
  Upgrade12("Upgrade12",503268,"考勤报表数据",503303);

  private String tabtype;

  private int tablabel;

  private String memo;

  /**
   * 每种升级情况的页面描述标签
   * 比如
    共找到 122 条历史签到签退数据
   */
  private int countDescLabel;
  /**
   *
   * @param tabtype 升级类型
   */
  KQUpgradeTabEnum(String tabtype,int tablabel,String memo,int countDescLabel) {
    this.tabtype = tabtype;
    this.tablabel = tablabel;
    this.memo = memo;
    this.countDescLabel = countDescLabel;
  }

  public String getTabtype() {
    return tabtype;
  }

  public void setTabtype(String tabtype) {
    this.tabtype = tabtype;
  }

  public int getTablabel() {
    return tablabel;
  }

  public void setTablabel(int tablabel) {
    this.tablabel = tablabel;
  }

  public String getMemo() {
    return memo;
  }

  public void setMemo(String memo) {
    this.memo = memo;
  }

  public int getCountDescLabel() {
    return countDescLabel;
  }

  public void setCountDescLabel(int countDescLabel) {
    this.countDescLabel = countDescLabel;
  }

}
